## class: `TsIconDynamic`

### Superclass

| Name   | Module | Package                                  |
| ------ | ------ | ---------------------------------------- |
| `Icon` |        | @ni/nimble-components/dist/esm/icon-base |

### Static Methods

| Name                  | Privacy | Description | Parameters                     | Return | Inherited From |
| --------------------- | ------- | ----------- | ------------------------------ | ------ | -------------- |
| `registerIconDynamic` | public  |             | `tagName: string, url: string` | `void` |                |

<hr/>

## class: `FvAccordionItem`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name         | Privacy | Type                        | Default | Description | Inherited From |
| ------------ | ------- | --------------------------- | ------- | ----------- | -------------- |
| `header`     | public  | `string`                    | `''`    |             |                |
| `expanded`   | public  | `boolean`                   | `false` |             |                |
| `appearance` | public  | `FvAccordionItemAppearance` |         |             |                |

### Attributes

| Name         | Field      | Inherited From |
| ------------ | ---------- | -------------- |
| `header`     | header     |                |
| `expanded`   | expanded   |                |
| `appearance` | appearance |                |

<hr/>

## class: `FvCard`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name              | Privacy | Type                        | Default | Description | Inherited From |
| ----------------- | ------- | --------------------------- | ------- | ----------- | -------------- |
| `title`           | public  | `string`                    | `''`    |             |                |
| `subtitle`        | public  | `string`                    | `''`    |             |                |
| `description`     | public  | `string`                    | `''`    |             |                |
| `appearance`      | public  | `FvCardAppearanceType`      |         |             |                |
| `interactionMode` | public  | `FvCardInteractionModeType` |         |             |                |
| `disabled`        | public  | `boolean`                   | `false` |             |                |
| `initials`        | public  | `string`                    | `''`    |             |                |

### Attributes

| Name               | Field           | Inherited From |
| ------------------ | --------------- | -------------- |
| `card-title`       | title           |                |
| `subtitle`         | subtitle        |                |
| `description`      | description     |                |
| `appearance`       | appearance      |                |
| `interaction-mode` | interactionMode |                |
| `disabled`         | disabled        |                |
| `initials`         | initials        |                |

<hr/>

## class: `FvChipSelector`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                | Privacy | Type      | Default           | Description | Inherited From |
| ------------------- | ------- | --------- | ----------------- | ----------- | -------------- |
| `disabled`          | public  | `boolean` | `false`           |             |                |
| `open`              | public  | `boolean` | `false`           |             |                |
| `label`             | public  | `string`  | `''`              |             |                |
| `selectedValues`    | public  | `string`  | `''`              |             |                |
| `options`           | public  | `string`  | `''`              |             |                |
| `placeholder`       | public  | `string`  | `'Select values'` |             |                |
| `allowCustomValues` | public  | `boolean` | `false`           |             |                |

### Events

| Name     | Type          | Description | Inherited From |
| -------- | ------------- | ----------- | -------------- |
| `change` | `CustomEvent` |             |                |

### Attributes

| Name                  | Field             | Inherited From |
| --------------------- | ----------------- | -------------- |
| `disabled`            | disabled          |                |
| `open`                | open              |                |
| `label`               | label             |                |
| `selected-values`     | selectedValues    |                |
| `options`             | options           |                |
| `placeholder`         | placeholder       |                |
| `allow-custom-values` | allowCustomValues |                |

<hr/>

## class: `FvContextHelp`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name           | Privacy | Type                    | Default       | Description | Inherited From |
| -------------- | ------- | ----------------------- | ------------- | ----------- | -------------- |
| `text`         | public  | `string`                | `''`          |             |                |
| `triggerLabel` | public  | `string`                | `'Show help'` |             |                |
| `severity`     | public  | `FvContextHelpSeverity` |               |             |                |
| `iconVisible`  | public  | `boolean`               | `false`       |             |                |

### Attributes

| Name            | Field        | Inherited From |
| --------------- | ------------ | -------------- |
| `text`          | text         |                |
| `trigger-label` | triggerLabel |                |
| `severity`      | severity     |                |
| `icon-visible`  | iconVisible  |                |

<hr/>

## class: `FvSearchInput`

### Superclass

| Name                  | Module | Package             |
| --------------------- | ------ | ------------------- |
| `FoundationTextField` |        | @ni/fast-foundation |

### Fields

| Name         | Privacy | Type                          | Default | Description | Inherited From |
| ------------ | ------- | ----------------------------- | ------- | ----------- | -------------- |
| `appearance` | public  | `FvSearchInputAppearanceType` |         |             |                |

### Events

| Name    | Type    | Description | Inherited From |
| ------- | ------- | ----------- | -------------- |
| `input` | `Event` |             |                |

### Attributes

| Name         | Field      | Inherited From |
| ------------ | ---------- | -------------- |
| `appearance` | appearance |                |

<hr/>

## class: `FvSplitButton`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                | Privacy | Type                                 | Default              | Description | Inherited From |
| ------------------- | ------- | ------------------------------------ | -------------------- | ----------- | -------------- |
| `label`             | public  | `string`                             | `'Primary function'` |             |                |
| `disabled`          | public  | `boolean`                            | `false`              |             |                |
| `open`              | public  | `boolean`                            | `false`              |             |                |
| `appearance`        | public  | `FvSplitButtonAppearanceType`        |                      |             |                |
| `appearanceVariant` | public  | `FvSplitButtonAppearanceVariantType` |                      |             |                |

### Events

| Name      | Type          | Description | Inherited From |
| --------- | ------------- | ----------- | -------------- |
| `trigger` | `CustomEvent` |             |                |
| `toggle`  | `CustomEvent` |             |                |

### Attributes

| Name                 | Field             | Inherited From |
| -------------------- | ----------------- | -------------- |
| `label`              | label             |                |
| `disabled`           | disabled          |                |
| `open`               | open              |                |
| `appearance`         | appearance        |                |
| `appearance-variant` | appearanceVariant |                |

<hr/>

## class: `FvSplitButtonAnchor`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                | Privacy | Type                                       | Default              | Description | Inherited From |
| ------------------- | ------- | ------------------------------------------ | -------------------- | ----------- | -------------- |
| `label`             | public  | `string`                                   | `'Primary function'` |             |                |
| `href`              | public  | `string`                                   | `''`                 |             |                |
| `target`            | public  | `string`                                   | `''`                 |             |                |
| `rel`               | public  | `string`                                   | `''`                 |             |                |
| `download`          | public  | `string`                                   | `''`                 |             |                |
| `disabled`          | public  | `boolean`                                  | `false`              |             |                |
| `open`              | public  | `boolean`                                  | `false`              |             |                |
| `appearance`        | public  | `FvSplitButtonAnchorAppearanceType`        |                      |             |                |
| `appearanceVariant` | public  | `FvSplitButtonAnchorAppearanceVariantType` |                      |             |                |

### Events

| Name      | Type          | Description | Inherited From |
| --------- | ------------- | ----------- | -------------- |
| `trigger` | `CustomEvent` |             |                |
| `toggle`  | `CustomEvent` |             |                |

### Attributes

| Name                 | Field             | Inherited From |
| -------------------- | ----------------- | -------------- |
| `label`              | label             |                |
| `href`               | href              |                |
| `target`             | target            |                |
| `rel`                | rel               |                |
| `download`           | download          |                |
| `disabled`           | disabled          |                |
| `open`               | open              |                |
| `appearance`         | appearance        |                |
| `appearance-variant` | appearanceVariant |                |

<hr/>

## class: `FvSummaryPanel`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                   | Privacy | Type      | Default       | Description | Inherited From |
| ---------------------- | ------- | --------- | ------------- | ----------- | -------------- |
| `showEditItemsButton`  | public  | `boolean` | `false`       |             |                |
| `legacyStyle`          | public  | `boolean` | `false`       |             |                |
| `editItemsButtonLabel` | public  | `string`  | `'Configure'` |             |                |

### Events

| Name         | Type          | Description | Inherited From |
| ------------ | ------------- | ----------- | -------------- |
| `edit-items` | `CustomEvent` |             |                |

### Attributes

| Name                      | Field                | Inherited From |
| ------------------------- | -------------------- | -------------- |
| `show-edit-items-button`  | showEditItemsButton  |                |
| `legacy-style`            | legacyStyle          |                |
| `edit-items-button-label` | editItemsButtonLabel |                |

<hr/>

## class: `FvSummaryPanelTile`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name           | Privacy | Type                                 | Default | Description | Inherited From |
| -------------- | ------- | ------------------------------------ | ------- | ----------- | -------------- |
| `count`        | public  | `string`                             | `''`    |             |                |
| `label`        | public  | `string`                             | `''`    |             |                |
| `legacyStyle`  | public  | `boolean`                            | `false` |             |                |
| `selected`     | public  | `boolean`                            | `false` |             |                |
| `textPosition` | public  | `FvSummaryPanelTileTextPositionType` |         |             |                |

### Attributes

| Name            | Field        | Inherited From |
| --------------- | ------------ | -------------- |
| `count`         | count        |                |
| `label`         | label        |                |
| `legacy-style`  | legacyStyle  |                |
| `selected`      | selected     |                |
| `text-position` | textPosition |                |

<hr/>

## class: `ExButton`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

<hr/>

## class: `TsTableColumnBreakpoint`

### Superclass

| Name          | Module | Package                                          |
| ------------- | ------ | ------------------------------------------------ |
| `TableColumn` |        | @ni/nimble-components/dist/esm/table-column/base |

### Fields

| Name               | Privacy | Type                     | Default                 | Description | Inherited From |
| ------------------ | ------- | ------------------------ | ----------------------- | ----------- | -------------- |
| `fieldName`        | public  | `string \| undefined`    |                         |             |                |
| `menuSlot`         | public  | `string \| undefined`    |                         |             |                |
| `position`         | public  | `BreakpointMenuPosition` |                         |             |                |
| `resizingDisabled` |         | `boolean`                | `true`                  |             |                |
| `pixelWidth`       |         |                          | `singleIconColumnWidth` |             |                |
| `minPixelWidth`    |         |                          | `singleIconColumnWidth` |             |                |

### Methods

| Name                           | Privacy   | Description                                                       | Parameters                                                                         | Return                   | Inherited From |
| ------------------------------ | --------- | ----------------------------------------------------------------- | ---------------------------------------------------------------------------------- | ------------------------ | -------------- |
| `requestBreakpointStateChange` | public    | Programmatically requests a breakpoint state change for a record. | `recordId: string, currentState: BreakpointState, requestedState: BreakpointState` | `void`                   |                |
| `getColumnInternalsOptions`    | protected |                                                                   |                                                                                    | `ColumnInternalsOptions` |                |
| `fieldNameChanged`             | protected |                                                                   |                                                                                    | `void`                   |                |
| `menuSlotChanged`              | protected |                                                                   |                                                                                    | `void`                   |                |
| `positionChanged`              | protected |                                                                   |                                                                                    | `void`                   |                |

### Attributes

| Name         | Field     | Inherited From |
| ------------ | --------- | -------------- |
| `field-name` | fieldName |                |
| `menu-slot`  | menuSlot  |                |
| `position`   | position  |                |

<hr/>

## class: `TsTableColumnBreakpointCellView`

### Superclass

| Name            | Module | Package                                                    |
| --------------- | ------ | ---------------------------------------------------------- |
| `TableCellView` |        | @ni/nimble-components/dist/esm/table-column/base/cell-view |

### Fields

| Name               | Privacy | Type            | Default | Description                                | Inherited From |
| ------------------ | ------- | --------------- | ------- | ------------------------------------------ | -------------- |
| `open`             | public  | `boolean`       | `false` | Specifies whether or not the menu is open. |                |
| `tabbableChildren` | public  | `HTMLElement[]` |         |                                            |                |

### Methods

| Name                        | Privacy | Description | Parameters                                                              | Return    | Inherited From |
| --------------------------- | ------- | ----------- | ----------------------------------------------------------------------- | --------- | -------------- |
| `regionLoadedHandler`       | public  |             |                                                                         | `void`    |                |
| `regionChanged`             | public  |             | `prev: AnchoredRegion \| undefined, _next: AnchoredRegion \| undefined` | `void`    |                |
| `buttonChanged`             | public  |             |                                                                         | `void`    |                |
| `focusoutHandler`           | public  |             | `e: FocusEvent`                                                         | `boolean` |                |
| `contextMenuKeyDownHandler` | public  |             | `e: KeyboardEvent`                                                      | `boolean` |                |
| `onContextMenuChange`       | public  |             | `event: Event`                                                          | `void`    |                |

### Attributes

| Name   | Field | Inherited From |
| ------ | ----- | -------------- |
| `open` | open  |                |

<hr/>
